
# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ecs_cmd/version'

Gem::Specification.new do |spec|
  spec.name          = 'ecs_cmd'
  spec.version       = EcsCmd::VERSION
  spec.authors       = ['Daniel Schaaff']
  spec.email         = ['dbschaaff@gmail.com']

  spec.summary       = 'AWS ECS CLI Utility'
  spec.description   = 'AWS ECS CLI Utility'
  spec.homepage      = 'https://danielschaaff.com'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "rubyge'"
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #     'public gem pushes.'
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'bin'
  spec.executables << 'ecs-cmd'
  spec.require_paths = ['lib']
  spec.add_runtime_dependency 'aws-sdk-ec2'
  spec.add_runtime_dependency 'aws-sdk-ecs'
  spec.add_runtime_dependency 'gli', '2.18.0'
  spec.add_runtime_dependency 'terminal-table'

  spec.add_development_dependency 'bundler', '~> 2.1'
  spec.add_development_dependency 'rake', '~> 12.3.3'
  spec.add_development_dependency 'solargraph'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'simplecov'
end
